Desktop occasionally freezes/locks up when switching workspaces

Bug #815996 reported by Andrew Keyes on 2011-07-25
438
This bug affects 107 people
Affects Status Importance Assigned to Milestone
Compiz
High
Unassigned
Compiz Desktop Wall Plugin
High
Unassigned
Compiz Main Plugins
High
Unassigned
OEM Priority Project
Trusty
High
Unassigned
compiz (Ubuntu)
Critical
Unassigned
Nominated for Trusty by Alberto Salvia Novella
Xenial
Critical
Unassigned
compiz-plugins-main (Ubuntu)
Critical
Unassigned
Nominated for Trusty by Alberto Salvia Novella

Bug Description

I'm assuming the issue is related to Compiz, but I'm not 100% sure. When I'm switching workspaces, it occasionally locks up (becoming more frequent). Most of the time, I'm going from the current one down (Ctrl+Alt+Down Arrow), and it freezes mid slide. Typically, I'm able to correct things by backing out to a terminal then returning (Ctrl+Alt+F1, pause, Alt+F7), but sometimes when I return the dual screen setup acts as one large screen (windows are stretched to the full width of both screens) and many of the windows collect on the first workspace.

Ubuntu 11.04 (Classic)
All packages up-to-date.

If there are any logs/etc that would be helpful, let me know.
---
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,compiztoolbox,resize,place,regex,move,gnomecompat,animation,vpswitch,mousepoll,workarounds,session,expo,wall,ezoom,fade,switcher,scale]
DistroCodename: natty
DistroRelease: Ubuntu 11.04
DistroVariant: ubuntu
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
InstallationMedia_: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
NonfreeKernelModules: nvidia
Package: compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
ProcVersionSignature_: Ubuntu 2.6.38-10.46-generic 2.6.38.7
Tags: natty natty ubuntu
Uname: Linux 2.6.38-10-generic x86_64
UnreportableReason: Please work this issue through technical support channels first.
UpgradeStatus: Upgraded to natty on 2011-05-02 (84 days ago)
UserGroups: adm admin audio cdrom dialout dip fuse lpadmin netdev plugdev sambashare

Changed in compiz (Ubuntu):
status: New → Confirmed
Pedro Villavicencio (pedro) wrote :

please open a terminal an execute: apport-collect 815996 it will attach the required logs to the report.

Changed in compiz (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete

apport information

tags: added: apport-collected natty ubuntu
description: updated

apport information

Andrew Keyes (akeyes) wrote :

Just happened again this morning. As with each time before, the screen appears to give a brief flash (dim and back up) and then freezes. The workspace preview thing is generally stuck up on the screen as well each time.

Andrew Keyes (akeyes) wrote :

Just happened twice in the past few minutes. The consistent factor that I'm noticing is Compiz's Desktop Wall plugin and gnome-terminal sshed into a remote system with irssi (fullscreen on one monitor).

Andrew Keyes (akeyes) on 2011-07-29
Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
Andrew Keyes (akeyes) wrote :

Happened once more, yanked this out of syslog:

kernel: [ 8143.134690] compiz[4306]: segfault at 8 ip 00007f560debc592 sp 00007fff5f9cc918 error 4 in libnvidia-glcore.so.270.41.06[7f560cf69000+144e000]

Yansern (yansern) wrote :

I am having the same issue, and it seems to happen when I'm switching workspace using Ctrl-Alt-[arrow] shortcuts. My screen doesn't freeze mid slide, but it freezes after it has slided to the next screen. I followed your method to back out to the terminal (Ctrl+Alt+F1) but when I press (Alt+F7) all I get is a blank screen. Can you confirm with me if it's Alt+F7 or Ctrl+Alt+F7?

While in console, I use "/etc/init.d/gdm restart" to get back to the desktop but this is no better than restarting the computer as I have to reopen all my apps!

(Just speculation for now) It does not seem to happen when I switch workspaces using Expo mode, Super+W, although I've only been using it for half a day (avoiding Ctrl+Alt+[arrow]) as of writing this.

I'm using nvidia GTX465 with nvidia drivers from ubuntu's repository.

I'll submit my apport-collect in awhile. If there's anything I can help to diagnose this issue let me know.

Andrew Keyes (akeyes) wrote :

Sometimes it's Alt+F8 (but Ctrl+Alt+F7 (or F8) should work as well, it will just ignore the Ctrl).

Download full text (3.5 KiB)

.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 280.13 Wed Jul 27 16:53:56 PDT 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4)
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgjpeg,place,gnomecompat,mousepoll,imgsvg,wall,text,put,resize,session,move,vpswitch,snap,grid,inotify,titleinfo,regex,imgpng,animation,unitymtgrabhandles,expo,resizeinfo,workarounds,ezoom,staticswitcher,fade,ring,scale,unityshell]
CompositorRunning: compiz
DistUpgraded: Fresh install
DistroCodename: natty
DistroRelease: Ubuntu 11.04
DistroVariant: ubuntu
DkmsStatus:
 vboxhost, 4.1.0, 2.6.38-10-generic, x86_64: installed
 nvidia-current, 280.13, 2.6.38-10-generic, x86_64: installed
 virtualbox-ose, 4.0.4, 2.6.38-10-generic, x86_64: installed (WARNING! Diff between built and installed module!) (WARNING! Diff between built and installed module!) (WARNING! Diff between built and installed module!)
GraphicsCard:
 nVidia Corporation Device [10de:06c4] (rev a3) (prog-if 00 [VGA controller])
   Subsystem: Giga-byte Technology Device [1458:34f9]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, Not in use)
MachineType: Gigabyte Technology Co., Ltd. X58A-UD3R
NonfreeKernelModules: nvidia
Package: compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-10-generic root=/dev/sdc7 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
ProcVersionSignature_: Ubuntu 2.6.38-10.46-generic 2.6.38.7
Renderer: Unknown
Tags: natty running-unity natty running-unity possible-manual-nvidia-install ubuntu compiz-0.9
Uname: Linux 2.6.38-10-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev root sambashare www-data
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 04/20/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: FA
dmi.board.name: X58A-UD3R
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFA:bd04/20/2010:svnGigabyteTechnologyCo.,Ltd.:pnX58A-UD3R:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnX58A-UD3R:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: X58A-UD3R
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2...

Read more...

tags: added: compiz-0.9 possible-manual-nvidia-install running-unity

apport information

apport information

apport information

apport information

apport information

Yansern (yansern) wrote : GlConf.txt

apport information

Yansern (yansern) wrote : Lspci.txt

apport information

Yansern (yansern) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

Yansern (yansern) wrote : UdevDb.txt

apport information

apport information

apport information

apport information

apport information

Yansern (yansern) wrote : Xrandr.txt

apport information

apport information

apport information

apport information

apport information

apport information

Yansern (yansern) wrote : xinput.txt

apport information

Yansern (yansern) wrote :

Oh.. I didn't know apport would submit so many files!

I'm having quite the same behaviour. But sometimes I'm able to switch to the terminal (using Ctrl-Alt-F1), and sometimes I can't. Funny thing is that I can still move my mouse pointer when the crash occurs, but other than that I get no response at all. I'll try to add apport information ASAP.

arno_b (arno.b) wrote :

I have an NVIDIA card and it happens to me only with the nvidia drivers. Everything works well with Nouveau drivers.

Matt Pharoah (mr-exuberant) wrote :

I recently reported a very similar issue (bug 903512), but after getting the GNOME update yesterday from Update Manager, the problem is much worse and now behaves just like you described (it used to freeze mid-slide, but now it's right after it finishes sliding, at it doesn't happen ALL the time, but it happens enough to render the feature completely useless).

I have no idea why this bug's importance is set to "low." This bug is severe enough that I'm going to switch back to Ubuntu 10.04 if I can't find a fix in the next couple days.

Matt Pharoah (mr-exuberant) wrote :

This is happening to me on 11.10 Oneiric with GNOME Classic by the way.

Matt Pharoah (mr-exuberant) wrote :

I'm also getting freezes after returning from a locked screen, so I can't even use Compiz with 1 workspace.

Matt Pharoah (mr-exuberant) wrote :

I previously had the X-Updates ppa installed (https://launchpad.net/~ubuntu-x-swat/+archive/x-updates) in an attempt to fix screen tearing. I eventually did fix it, but the X-Updates did nothing. Since I didn't need it, I ran ppa-purge, and now everything SEEMS to be running good.

I've switched workspaces about 50 times now, and there' been no crashing, so that MIGHT have been the issue. I hope so, anyways. I'd rather not have to move everything over to another partition and install 10.04. I'll post here again if I get a crash again.

Matt Pharoah (mr-exuberant) wrote :

Looks like it will always crash after running "compiz --replace", but since I undid the X updates, it won't happen so long as you don't switch window managers or restart Compiz.

Which is unfortunate since compiz needs to be restarted every few hours otherwise window movement becomes slow.

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Changed in compiz (Ubuntu):
status: Fix Released → Confirmed
Changed in compiz-core:
status: New → Confirmed
affects: compiz-core → compiz-wall-plugin
affects: compiz (Ubuntu) → compiz-plugins-main (Ubuntu)
Changed in compiz-plugins-main:
status: New → Confirmed
Changed in compiz-wall-plugin:
importance: Undecided → High
Changed in compiz-plugins-main:
importance: Undecided → High
Changed in compiz-plugins-main (Ubuntu):
importance: Low → High
Changed in compiz-plugins-main:
milestone: none → 0.9.7.4
Changed in compiz:
importance: Undecided → High
status: New → Confirmed
Changed in compiz:
milestone: none → 0.9.8.0
Changed in compiz:
milestone: 0.9.8.0 → 0.9.8.1
Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
Changed in compiz:
milestone: 0.9.8.4 → 0.9.9.0
Changed in compiz-plugins-main:
milestone: 0.9.7.4 → none
Changed in compiz:
milestone: 0.9.9.0 → 0.9.9.2
Changed in compiz:
milestone: 0.9.9.2 → 0.9.10.0
Changed in compiz:
milestone: 0.9.10.0 → 0.9.10.2
MC Return (mc-return) on 2013-07-24
Changed in compiz:
milestone: 0.9.10.2 → 0.9.11.0
Daniel (danioopole) on 2014-08-19
no longer affects: compiz-winrules-plugin
Changed in compiz (Ubuntu):
status: New → Confirmed
Leon Liao (lihow731) on 2015-04-08
Changed in oem-priority:
importance: Undecided → High
Ara Pulido (apulido) on 2015-06-01
Changed in oem-priority:
status: New → Invalid
Tammy Yang (wanchingy) on 2015-06-02
no longer affects: oem-priority
Will Cooke (willcooke) on 2015-08-12
tags: added: rls-w-incoming
Changed in compiz:
status: Confirmed → Invalid
Changed in compiz-wall-plugin:
status: Confirmed → Opinion
status: Opinion → Invalid
Changed in compiz-plugins-main:
status: Confirmed → Invalid
Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Changed in compiz-plugins-main (Ubuntu):
status: Confirmed → Invalid
Changed in compiz:
status: Invalid → Confirmed
Changed in compiz (Ubuntu):
status: Invalid → Confirmed
Changed in compiz-wall-plugin:
status: Invalid → Confirmed
Changed in compiz-plugins-main:
status: Invalid → Confirmed
Changed in compiz-plugins-main (Ubuntu):
status: Invalid → Confirmed
Changed in compiz:
status: Confirmed → Won't Fix
Changed in compiz-wall-plugin:
status: Confirmed → Invalid
Changed in compiz-plugins-main:
status: Confirmed → Invalid
Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Changed in compiz-plugins-main (Ubuntu):
status: Confirmed → Invalid
Changed in compiz:
status: Won't Fix → Confirmed
Changed in compiz (Ubuntu):
status: Invalid → Confirmed
Changed in compiz:
assignee: nobody → Eleni Maria Stea (hikiko)
nasir (nasiribrahimzade) on 2015-10-07
Changed in compiz:
status: Confirmed → New
Changed in compiz (Ubuntu):
status: Confirmed → Fix Committed
Changed in compiz:
status: New → Fix Committed
Changed in compiz-wall-plugin:
status: Invalid → Fix Committed
Changed in compiz-plugins-main (Ubuntu):
status: Invalid → Fix Committed
Changed in compiz-plugins-main:
status: Invalid → Fix Committed
Changed in compiz:
status: Fix Committed → Confirmed
tags: added: wily
removed: natty
Changed in compiz (Ubuntu):
status: Fix Committed → Confirmed
Changed in compiz (Ubuntu):
importance: Undecided → Critical
Changed in compiz-plugins-main (Ubuntu):
importance: High → Critical
tags: added: rls-x-incoming
removed: rls-w-incoming
56 comments hidden view all 136 comments

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Jon (jonpad) wrote :

I've experienced an occasional lock-up when showing Workspaces as well. However, in my case I can see that applications are still running - for example I can still type into a terminal. I'm running 14.04 LTS in VirtualBox 5. I use Hotcorners to trigger the Workspaces view.

I've noticed I can back out of this "crash" by sending Ctrl-Alt-Delete to the Ubuntu VM, which opens the Log Out dialogue. Requesting a screen lock from there triggers the animation to zoom to the currently selected Workspace.

Changed in compiz-plugins-main:
status: Fix Committed → Fix Released
Changed in compiz-wall-plugin:
assignee: nobody → Group_5 (santhoshsk12695)
Will Cooke (willcooke) on 2015-11-16
tags: removed: rls-x-incoming
Changed in compiz-plugins-main:
assignee: nobody → guruprasad (guruprasadj79)

Anyone can provide a valid (and recent) stacktrace for this?

Install compiz-core-dbgsym compiz-plugins-default-dbgsym unity-dbgsym packages from ddebs repos¹.
When the hang happens, just do Ctrl+Alt+F1 and from tty1 one do something like:
  sudo gdb -p $(pidof compiz)

Once gdb is loaded, do a:
set logging file compiz-hang.txt
set logging on
bt full

Exit from gdb and attach the "compiz-hang.txt" file (or any other name you chose) here.

[1] https://wiki.ubuntu.com/DebuggingProgramCrash#Non-built-in_debug_symbol_packages_.28.2A-dbgsym.29

Doug Smythies (dsmythies) wrote :

> Anyone can provide a valid (and recent) stacktrace for this?

attached is my attempt.

Changed in compiz-plugins-main (Ubuntu Xenial):
status: Fix Committed → Confirmed
Changed in compiz-wall-plugin:
status: Fix Committed → Confirmed
status: Confirmed → Fix Released
Changed in compiz:
status: Confirmed → Fix Released
Changed in compiz (Ubuntu Xenial):
status: Confirmed → Triaged
Changed in compiz-plugins-main (Ubuntu Xenial):
status: Confirmed → Triaged
Changed in compiz (Ubuntu Xenial):
status: Triaged → Fix Released
Changed in compiz-plugins-main (Ubuntu Xenial):
status: Triaged → Fix Released

If you are still experiencing this bug in Ubuntu Wily, please change the Wily status to "confirmed".

Doug Smythies (dsmythies) wrote :

I can still create this issue on two different installations (one is a VM and one is an actual HP Laptop) of xenial-desktop-amd64.iso of 2015.12.20.

Doug Smythies (dsmythies) wrote :

The issue persists. I set status back to triaged. It is not clear to me why it was set to "Fix Released".

Changed in compiz (Ubuntu Xenial):
status: Fix Released → Triaged
Changed in compiz-plugins-main (Ubuntu Xenial):
status: Fix Released → Triaged
Changed in compiz-wall-plugin:
assignee: Group_5 (santhoshsk12695) → nobody
Doug Smythies (dsmythies) wrote :

I made a new trusty desktop VM. This issue still exists there also. Setting back to "Triaged".
It remains unclear to me as to why these were set to "Fix Released".

Doug Smythies (dsmythies) wrote :

Hmmm... I do not seem to have rights to set "trusty" to "triaged".

@ Doug Smythies

You don't because that "trusty" is not the one of the Ubuntu project, but set up in the OEM Priority project itself and could be name as they wanted.

So I'm nominating this bug for Trusty in Ubuntu, and as soon as that's approved you will be able to set it to "triaged".

Thanks for warning.

tags: added: trusty
tags: added: xenial
stayros (lsuzex3) on 2016-02-03
Changed in compiz:
assignee: Eleni Maria Stea (hikiko) → stayros (lsuzex3)
dino99 (9d9) on 2016-02-03
Changed in compiz:
assignee: stayros (lsuzex3) → nobody
Changed in compiz-plugins-main:
assignee: guruprasad (guruprasadj79) → nobody

2016-02-03 17:29 GMT+02:00 Launchpad Bug Tracker <email address hidden>
:

> stayros (lsuzex3) has assigned this bug to you for compiz-plugins-main in
> Ubuntu Xenial:
>
> I'm assuming the issue is related to Compiz, but I'm not 100% sure. When
> I'm switching workspaces, it occasionally locks up (becoming more
> frequent). Most of the time, I'm going from the current one down
> (Ctrl+Alt+Down Arrow), and it freezes mid slide. Typically, I'm able to
> correct things by backing out to a terminal then returning (Ctrl+Alt+F1,
> pause, Alt+F7), but sometimes when I return the dual screen setup acts
> as one large screen (windows are stretched to the full width of both
> screens) and many of the windows collect on the first workspace.
>
>
> Ubuntu 11.04 (Classic)
> All packages up-to-date.
>
> If there are any logs/etc that would be helpful, let me know.
> ---
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,compiztoolbox,resize,place,regex,move,gnomecompat,animation,vpswitch,mousepoll,workarounds,session,expo,wall,ezoom,fade,switcher,scale]
> DistroCodename: natty
> DistroRelease: Ubuntu 11.04
> DistroVariant: ubuntu
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> InstallationMedia_: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> NonfreeKernelModules: nvidia
> Package: compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_US:en
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
> ProcVersionSignature_: Ubuntu 2.6.38-10.46-generic 2.6.38.7
> Tags: natty natty ubuntu
> Uname: Linux 2.6.38-10-generic x86_64
> UnreportableReason: Please work this issue through technical support
> channels first.
> UpgradeStatus: Upgraded to natty on 2011-05-02 (84 days ago)
> UserGroups: adm admin audio cdrom dialout dip fuse lpadmin netdev plugdev
> sambashare
>
> ** Affects: compiz
> Importance: High
> Assignee: stayros (lsuzex3)
> Status: Fix Released
>
> ** Affects: compiz-plugins-main
> Importance: High
> Assignee: guruprasad (guruprasadj79)
> Status: Fix Released
>
> ** Affects: compiz-wall-plugin
> Importance: High
> Status: Fix Released
>
> ** Affects: oem-priority/trusty
> Importance: High
> Status: Fix Released
>
> ** Affects: compiz (Ubuntu)
> Importance: Critical
> Status: Triaged
>
> ** Affects: compiz-plugins-main (Ubuntu)
> Importance: Critical
> Status: Triaged
>
> ** Affects: compiz (Ubuntu Xenial)
> Importance: Critical
> Status: Triaged
>
> ** Affects: compiz-plugins-main (Ubuntu Xenial)
> Importance: Critical
> Status: Triaged
>
>
> ** Tags: apport-collected compiz-0.9 possible-manual-nvidia-install
> running-unity trusty ubuntu wily xenial
> --
> Desktop occasionally freezes/locks up when switching workspaces
> https://bugs.launchpad.net/bugs/815996
> You received this bug notification because you are a bug assignee.
>

chris (serella-c) wrote :

This just happened to me (i remember why i upgraded to 15 now) I needed to roll back as some programs that i need have not yet caught up. All the same the bug is as described. Can move between programs workspaces so long as you do not grab the title bar.

Freeze occurs only freeing up after eventual crash forcing to log back in.

This has been going on for several years now can this not be resolved?

Saeid Yazdani (embedonix) wrote :

It happens to me very frequently. When I use 'ctl+alt+arrows' to switch between workspaces, it can happen. The probability of crash goes higher e.g. when I have a chrome page open and watching a youtub in fullscreen.

my details:
Linux vostro 3.16.0-60-generic #80~14.04.1-Ubuntu
unity 7.2.6
Compiz 0.9.11.3

I tried to downgrade and upgrade my nvidia driver, but it does not make any difference.

These things helps:
switching to tty1 and going back to graphical mode, but not always fixes the problem.
#killall -9 compiz
which works like logging out and logging in again...but results in lost of work and stuff....

please let me know how I can give you a better log/description

Alan Hoyle (alanh) wrote :

This happens to me as well on 15.10 with the latest updates:

Linux 4.2.0-30-generic #35-Ubuntu SMP

Compiz 0.9.12.2+15.10.2015-0ubuntu1
Unity 7.3.3+15.10.2015-0ubuntu1

Hitting "alt-enter" gets me back as a work-around when clicking fails, but this has been a problem for a few versions of Ubuntu.

Will Cooke (willcooke) on 2016-03-15
no longer affects: compiz-plugins-main (Ubuntu Xenial)
Changed in compiz (Ubuntu Xenial):
status: Triaged → Won't Fix
nathan (nathan95-b) on 2016-03-21
Changed in compiz-plugins-main (Ubuntu):
assignee: nobody → nathan (nathan95-b)
nathan (nathan95-b) on 2016-03-21
Changed in compiz-plugins-main (Ubuntu):
assignee: nathan (nathan95-b) → nobody
Yakov Zaytsev (ysz) wrote :

Still persists in ubuntu-16.04-beta2-desktop-i386.iso which runs in VMware Fusion 8.1.0 (3272237) with open-vm-tools*

Claudio Corvino (claud81) wrote :

still present on ubuntu 14.04 amd64 with nvidia graphic card and proprietary driver enabled

I have the same problem, except I've not yet experience this with workstations, as I haven't used them as of yet, but I do have this issues with Xeniel, generally. I've experienced it on all 3 computers I've installed it on.

- Blossom

I have a problem with my system freezing, not sure what is causing it.

Like a minute ago, my mouse wouldn't click any links, but the mouse icon would change to that of when mousing over a hyper-link, when my mouse was such above the link. It appears to be focus problem, getting stuck somewhere.

I'm not sure how to report it, because it's asking for an application and I don't know which application to put it under.
I got it to freeze when editing the keyboard shortcuts via Unity Control Centre, twice as a double check after the first time, to see if it was just a coincidence.

OS: Ubuntu 16.04 (Xenial) x64

- Blossom

Andrew (keen101) wrote :

I have a similar bug, but i'm not sure if it's the same issue. I'm not using compiz as far as i know and i don't think i have the workspaces enabled. But after upgrading from 14.04 to 16.04 my system freezes often when chrome is up and a video. It almost seems like a memory problem, but perhaps it's related to the graphics driver. Here is my bug that i reported. If it's not the same, then just ignore my comments. But it's a serious problem.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1575467

Displaying first 40 and last 40 comments. View all 136 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers